Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Jan Djärv <[email-masked]>
Date: Sun, 21 Apr 2013 19:30:32 +0200

Hello.
21 apr 2013 kl. 11:26 skrev martin rudalics <[email-masked]>:

> A frame, according to the Elisp manual, is a screen object that contains
> one or more Emacs windows.  When with emacs -Q I evaluate (frame-width)
> and (window-width) I get the values 80.  If I split the window into two
> side-by-side windows (frame-width) still evaluates to 80, but for both
> emanating windows (window-width) evaluates to 38.  Somehow 4 characters
> got lost in a black hole.  And bug#14222 demonstrates that Emacs itself
> sometimes doesn't understand its own nomenclature.

If I split in 2 I get window-size 37.  If I remove fringes I get 40.
If I remove scrollbars, I get frame-size 83, and window-size 41.
So one character is lost somewhere.

This is a mess, and needs clearing up.  I suspect differences between ports exist.
Maybe the best is to define how things ought to be and then fix the ports, rather than look at the current implementation(s).
 
	Jan D.